//	AcadPan (UstnPan) - MDL module for MicroStation
//	Copyright 2006 - 2014 Leonid Wiebe, All Rights Reserved.


//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.

//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.

//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


/*----------------------------------------------------------------------+
|                                                                       |
|   Include Files                                                       |
|                                                                       |
+----------------------------------------------------------------------*/
#include <rscdefs.h>
#include <cmdclass.h>
#include <dlogbox.h>
#include <dlogids.h>
#include <keys.h>
#include <msbutton.h>


#include "acadpancmd.h"
#include "acadpan.h"


enum DllIds	{     DLLAPPID 	= 1, };

/* associate app with dll */
DllMdlApp DLLAPPID = 
    {
    "acadpan", "acadpan"
    }



DialogBoxRsc DIALOGID_1 =
    {
    DIALOGATTR_DEFAULT,
    23.00*XC, 12.00*YC,
    NOHELP, MHELP, 1, NOPARENTID,
    "UstnPan v8i",
{
{{ 0.50*XC, 7.30*YC,22.00*XC, 4.50*YC}, GroupBox, 0, ON, 0, "", ""},
{{11.00*XC, 0.50*YC,       0,       0}, OptionButton, OPTIONBUTTONID_1, ON, 0, "", ""},
{{ 2.00*XC, 3.20*YC, 19.00*XC,        0}, Scale, 1, ON, 0, "", ""},
{{ 2.00*XC, 10.20*YC, 19.00*XC,        0}, Scale, 2, ON, 0, "", ""},
{{ 1.70*XC, 4.7*YC,       0,       0}, ToggleButton, 1, ON, 0, "", ""},
{{ 1.70*XC, 6.0*YC,       0,       0}, ToggleButton, 2, ON, 0, "", ""},
{{ 1.70*XC, 7.7*YC,       0,       0}, ToggleButton, 3, ON, 0, "", ""},
}
    };


/*----------------------------------------------------------------------+
|                                                                       |
|   Pan button OptionButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_OptionButtonRsc OPTIONBUTTONID_1 =
    {
    NOSYNONYM, NOHELP, LHELP,
    NOHOOK, OPTNBTNATTR_NEWSTYLE,
    "Pan button",
    "iButton",
    {
    {NOTYPE, NOICON, NOCMD, LCMD, -1, NOMASK, ON, "Tentative"},
    {NOTYPE, NOICON, NOCMD, LCMD, 0, NOMASK, ON, "Reset"},
    {NOTYPE, NOICON, NOCMD, LCMD, 1, NOMASK, ON, "Cursor 1"},
    {NOTYPE, NOICON, NOCMD, LCMD, 2, NOMASK, ON, "Cursor 2"},
    {NOTYPE, NOICON, NOCMD, LCMD, 3, NOMASK, ON, "Cursor 3"},
    {NOTYPE, NOICON, NOCMD, LCMD, 4, NOMASK, ON, "Cursor 4"},
    {NOTYPE, NOICON, NOCMD, LCMD, 5, NOMASK, ON, "Cursor 5"},
    {NOTYPE, NOICON, NOCMD, LCMD, 6, NOMASK, ON, "Cursor 6"},
    {NOTYPE, NOICON, NOCMD, LCMD, 7, NOMASK, ON, "Cursor 7"},
    {NOTYPE, NOICON, NOCMD, LCMD, 8, NOMASK, ON, "Cursor 8"},
    {NOTYPE, NOICON, NOCMD, LCMD, 9, NOMASK, ON, "Cursor 9"},
    {NOTYPE, NOICON, NOCMD, LCMD, 10, NOMASK, ON, "Cursor 10"},
    {NOTYPE, NOICON, NOCMD, LCMD, 11, NOMASK, ON, "Cursor 11"},
    {NOTYPE, NOICON, NOCMD, LCMD, 12, NOMASK, ON, "Cursor 12"},
    {NOTYPE, NOICON, NOCMD, LCMD, 13, NOMASK, ON, "Cursor 13"},
    }
    };
    
DItem_ScaleRsc 1 =
    {
    NOCMD, LCMD, 0,
    NOHELP, MHELP, NOHOOK, NOARG,
    1.000000, 20.000000, 1.000000, 1.000000,
    0, SCALE_SHOWVALUE | SCALE_HASARROWS, "pan delay: %.0f",
    "",
    "dDelay",
    "", ""
    };    
    
DItem_ScaleRsc 2 =
    {
    NOCMD, LCMD, 0,
    NOHELP, MHELP, NOHOOK, NOARG,
    0.200000, 1.000000, 0.010000, 0.050000,
    0, SCALE_SHOWVALUE | SCALE_HASARROWS, "time: %.2f sec.",
    "",
    "dDblClickTime",
    "", ""
    };      

DItem_ToggleButtonRsc 1 =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, 2, NOARG,
    NOMASK, NOINVERT,
    "update view after pan",
    "iUpdate"
    };
    
DItem_ToggleButtonRsc 2 =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, 2, NOARG,
    NOMASK, NOINVERT,
    "reset after tentative pan",
    "iReset"
    };

DItem_ToggleButtonRsc 3 =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK, NOARG,
    NOMASK, NOINVERT,
    "fit view on double click",
    "iDblClick"
    };
